#
# Conditional build:
%bcond_without	gtk		# don't build GTK+ client
%bcond_without	curses		# don't build curses client
%bcond_without	sdl		# don't use sdl sound output
%bcond_with	esd		# don't use esd sound output
#
Summary:	Drug dealing game
Summary(pl.UTF-8):	Gra polegająca na handlowaniu narkotykami
Name:		dopewars
Version:	1.5.12
Release:	8
License:	GPL
Group:		Applications/Games
Source0:	http://downloads.sourceforge.net/dopewars/%{name}-%{version}.tar.gz
# Source0-md5:	debf749de9053dc2fb2e74c37ae06206
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-scoredir.patch
Patch2:		%{name}-build.patch
URL:		http://dopewars.sourceforge.net/
%{?with_sdl:BuildRequires:	SDL-devel >= 1.0.0}
%{?with_sdl:BuildRequires:	SDL_mixer-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_esd:BuildRequires:	esound-devel >= 0.0.20}
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	gtk+-devel
%{?with_gtk:BuildRequires:	gtk+2-devel >= 1:2.0.0}
%{?with_curses:BuildRequires:	ncurses-devel}
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Based on John E. Dell's old Drug Wars game, dopewars is a simulation
of an imaginary drug market. dopewars is an All-American game which
features buying, selling, and trying to get past the cops!

The first thing you need to do is pay off your debt to the Loan Shark.
After that, your goal is to make as much money as possible (and stay
alive)! You have one month of game time to make your fortune.

dopewars supports multiple players via TCP/IP. Chatting to and
fighting with other players (computer or human) is supported; check
the command line switches (via dopewars -h) for further information.

%description -l pl.UTF-8
dopewars jest symulacją wyimaginowanego narkotykowego rynku, bazującą
na starej grze Drug Wars autorstwa Johna E. Della. Jest to gra w
amerykańskim stylu polegająca na kupowaniu, sprzedawaniu i omijaniu
policji!

Pierwszą rzeczą jaką trzeba zrobić jest spłacenie długu. Potem celem
jest zdobycie jak największej ilości pieniędzy (i przeżycie)! Gracz ma
jeden miesiąc gry na zdobycie fortuny.

W dopewars można grać z wieloma graczami poprzez TCP/IP. Można także z
nimi rozmawiać i walczyć; więcej informacji w opisie parametrów linii
poleceń (pokaże je dopewars -h).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	LIBS="-ltinfo" \
	--enable-plugins \
	--enable-networking \
	%{?with_esd:--with-esd} \
	%{?with_sdl:--with-sdl} \
	%{?with_curses:--enable-curses-client} \
	%{?with_gtk:--enable-gui-client} \
	%{?with_gtk:--enable-gui-server}

%{__make} \
	CFLAGS="%{rpmcflags} -Wall -I/usr/include/ncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	SCOREDIR=$RPM_BUILD_ROOT/var/games/dopewars \
	DESTDIR=${RPM_BUILD_ROOT}

# I think this could be done somehow prettier
mv $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Games/dopewars.desktop $RPM_BUILD_ROOT%{_desktopdir}

rm -f doc/help/Makefile*
rm -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

# es_ES.po seems to be newer than es.po
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/es_ES/LC_MESSAGES/* \
	$RPM_BUILD_ROOT%{_datadir}/locale/es/LC_MESSAGES/
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/es_ES

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- dopewars < 1.5.12-0.1
# move scorefile
mv -f %{_datadir}/dopewars.sco.rpmsave /var/games/dopewars/dopewars.sco
chown root:games /var/games/dopewars/dopewars.sco
chmod 660 /var/games/dopewars/dopewars.sco
%{_bindir}/dopewars -C /var/games/dopewars/dopewars.sco

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog LICENCE README doc/{*.html,help}
%attr(2755,root,games) %{_bindir}/dopewars
%attr(770,root,games) /var/games/dopewars
%{_mandir}/man6/*
%{_libdir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_datadir}/%{name}
%changelog
* Sat Dec 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dopewars.git;a=log;h=master

* Sat Dec 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> a5adf48
- rel 8; build fixed

* Sat Dec 12 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 00780fd
- release 7 (by relup.sh)

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 68f7749
- ncurses rebuild
- release 6 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 56ea839
- updated gettext BR

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 788ea88
- release 5

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> c615139
- link with -ltinfo (fixes linking)

* Thu Jun 03 2010 Jan Rękorajski <baggins@pld-linux.org> d2319a2
- rel 4
- esound is dead

* Sun May 16 2010 sparky <sparky@pld-linux.org> 559ad62
- fixed locale fix
- BR: gettext-devel, gtk+-devel, pkgconfig

* Wed Apr 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d8a1fe
- release 3

* Mon Apr 12 2010 ankry <ankry@pld-linux.org> c3ca080
- locale fix, rel. 2

* Sun Nov 08 2009 Adam Gołębiowski <adamg@pld-linux.org> 93d5091
- todo done
- drop %post script, add %trigger to move old scorefile
- adapterized (no globs for suid/sgid files)
- release 1

* Sun Nov 08 2009 Adam Gołębiowski <adamg@pld-linux.org> 01be20d
- updated to 1.5.12

* Sun Nov 08 2009 Adam Gołębiowski <adamg@pld-linux.org> 6ef5fd7
- new; set scoredir to /var/games/dopewars

* Sun Nov 08 2009 Adam Gołębiowski <adamg@pld-linux.org> 65e1df3
- updated to 1.5.12
- move scorefile from %{_datadir} to /var/games/dopewars

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 58bdf6c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4084fd5
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 1adb5e0
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> bfcf19a
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

* Mon Dec 12 2005 Paweł Cyranek <pawel.cyranek@gmail.com> e72e0ce
- %{_includedir} macro used

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> e4ee374
- adapterized (sorted %verify flags)

